La actualización falla con un error "Se requiere la actualización de la configuración de autenticación del certificado".

Problema

Cuando se intenta actualizar a VMware Identity Manager 3.3.2, aparece el siguiente mensaje de error y se cancela la actualización.

Se requiere la actualización de la configuración de autenticación del certificado para el arrendatario <nombre_arrendatario> antes de la actualización. Error en la comprobación previa de la actualización, se anula la actualización.

Causa

Este problema sucede si los certificados para CertificateAuthAdapter se agregaron o actualizaron antes de la versión 3.0.

Solución

  1. Inicie sesión en la consola de VMware Identity Manager.
  2. Desplácese hasta Administración de acceso e identidad > Configuración.
  3. En la página Conectores, haga clic en el vínculo de la columna Trabajo.
  4. Haga clic en la pestaña Adaptadores de autenticación y, posteriormente, en CertificateAuthAdapter.
  5. En la sección de Certificados de CA cargados, haga clic en la X de color rojo para eliminar el certificado.
  6. Haga clic en Guardar.
  7. En la sección Certificados de CA intermedio y raíz, haga clic en Seleccionar archivo para volver a agregar el certificado.
  8. Haga clic en Guardar.
  9. Vuelva a la consola del dispositivo virtual y vuelva a ejecutar los comandos de actualización.